/* **********************************************************************
    Copyright 2005 Rensselaer Polytechnic Institute.

    All worldwide rights reserved. A license to use, copy, modify and
    distribute this software for noncommercial research purposes only is
    hereby granted, provided that this copyright notice and accompanying
    disclaimer is not modified or removed from the software.

    DISCLAIMER: The software is distributed" AS IS" without any express or
    implied warranty, including but not limited to, any implied warranties
    of merchantability or fitness for a particular purpose or any warrant)'
    of non-infringement of any current or pending patent rights. The authors
    of the software make no representations about the suitability of this
    software for any particular purpose. The entire risk as to the quality
    and performance of the software is with the user. Should the software
    prove defective, the user assumes the cost of all necessary servicing,
    repair or correction. In particular, neither Rensselaer Polytechnic
    Institute, nor the authors of the software are liable for any indirect,
    special, consequential, or incidental damages related to the software,
    to the maximum extent the law permits.
*/

package edu.rpi.cct.uwcal.caldav;

import edu.rpi.sss.util.xml.QName;

/** Define Caldav tags for XMlEmit.
 *
 * @author Mike Douglass   douglm@rpi.edu
 */
public class CaldavTags implements CaldavUWDef {
  public static final QName allcomp = new QName(caldavNamespace,
                                                "allcomp");

  public static final QName allprop = new QName(caldavNamespace,
                                                "allprop");

  public static final QName calendar = new QName(caldavNamespace,
                                                 "calendar");

  public static final QName calendarData = new QName(caldavNamespace,
                                                     "calendar-data");

  public static final QName calendarMultiget = new QName(caldavNamespace,
                                                         "calendar-multiget");

  public static final QName calendarQuery = new QName(caldavNamespace,
                                                      "calendar-query");

  public static final QName comp = new QName(caldavNamespace,
                                             "comp");

  public static final QName compFilter = new QName(caldavNamespace,
                                                   "comp-filter");

  public static final QName expandRecurrenceSet = new QName(caldavNamespace,
                                                            "expand-recurrence-set");

  public static final QName filter = new QName(caldavNamespace,
                                               "filter");

  public static final QName freeBusyQuery = new QName(caldavNamespace,
                                                      "free-busy-query");

  public static final QName isDefined = new QName(caldavNamespace,
                                                  "is-defined");

  public static final QName paramFilter = new QName(caldavNamespace,
                                                    "param-filter");

  public static final QName prop = new QName(caldavNamespace,
                                             "prop");

  public static final QName propFilter = new QName(caldavNamespace,
                                                   "prop-filter");

  public static final QName returnContentType = new QName(caldavNamespace,
                                                          "return-content-type");

  public static final QName textMatch = new QName(caldavNamespace,
                                                  "text-match");

  public static final QName timeRange = new QName(caldavNamespace,
                                                  "time-range");
}

