/* **********************************************************************
    Copyright 2005 Rensselaer Polytechnic Institute.

    All worldwide rights reserved. A license to use, copy, modify and
    distribute this software for noncommercial research purposes only is
    hereby granted, provided that this copyright notice and accompanying
    disclaimer is not modified or removed from the software.

    DISCLAIMER: The software is distributed" AS IS" without any express or
    implied warranty, including but not limited to, any implied warranties
    of merchantability or fitness for a particular purpose or any warrant)'
    of non-infringement of any current or pending patent rights. The authors
    of the software make no representations about the suitability of this
    software for any particular purpose. The entire risk as to the quality
    and performance of the software is with the user. Should the software
    prove defective, the user assumes the cost of all necessary servicing,
    repair or correction. In particular, neither Rensselaer Polytechnic
    Institute, nor the authors of the software are liable for any indirect,
    special, consequential, or incidental damages related to the software,
    to the maximum extent the law permits.
*/

package edu.rpi.cct.uwcal.caldav.filter;

import org.apache.log4j.Logger;

public class TextMatch {
  private Boolean caseless; // null for defaulted
  private String val;

  public TextMatch(Boolean caseless, String val) {
    this.caseless = caseless;
    this.val = val;
  }

  public void setVal(String val) {
    this.val = val;
  }

  public String getVal() {
    return val;
  }

  public void setCaseless(Boolean val) {
    caseless = val;
  }

  public Boolean getCaseless() {
    return caseless;
  }

  public void dump(Logger log, String indent) {
    StringBuffer sb = new StringBuffer(indent);

    sb.append("<text-match");
    if (caseless != null) {
      sb.append(" caseless=");
      sb.append(caseless);
    }
    sb.append(">");
    log.debug(sb.toString());

    log.debug(val);

    log.debug(indent + "<text-match>\n");

    log.debug(sb.toString());
  }
}

