/* **********************************************************************
    Copyright 2005 Rensselaer Polytechnic Institute.

    All worldwide rights reserved. A license to use, copy, modify and
    distribute this software for noncommercial research purposes only is
    hereby granted, provided that this copyright notice and accompanying
    disclaimer is not modified or removed from the software.

    DISCLAIMER: The software is distributed" AS IS" without any express or
    implied warranty, including but not limited to, any implied warranties
    of merchantability or fitness for a particular purpose or any warrant)'
    of non-infringement of any current or pending patent rights. The authors
    of the software make no representations about the suitability of this
    software for any particular purpose. The entire risk as to the quality
    and performance of the software is with the user. Should the software
    prove defective, the user assumes the cost of all necessary servicing,
    repair or correction. In particular, neither Rensselaer Polytechnic
    Institute, nor the authors of the software are liable for any indirect,
    special, consequential, or incidental damages related to the software,
    to the maximum extent the law permits.
*/

package edu.rpi.cct.webdav.servlet.common;

import javax.servlet.http.HttpServletRequest;
import org.apache.log4j.Logger;

/** Place for utility methods
 *
 *   @author Mike Douglass   douglm@rpi.edu
 */
public class WebdavUtils {
  public static String getUrlPrefix(HttpServletRequest req) {
    try {
      String url = req.getRequestURL().toString();

      int pos = url.indexOf(req.getContextPath());

      if (pos > 0) {
        url = url.substring(0, pos);
      }

      String context = req.getContextPath();
      if ((context == null) || (context.equals("."))) {
        context = "";
      }

      return url + context;
    } catch (Throwable t) {
      Logger.getLogger(WebdavUtils.class).warn(
          "Unable to get url from " + req);
      return "BogusURL.this.is.probably.a.portal";
    }
  }
}

