/* **********************************************************************
    Copyright 2005 Rensselaer Polytechnic Institute.

    All worldwide rights reserved. A license to use, copy, modify and
    distribute this software for noncommercial research purposes only is
    hereby granted, provided that this copyright notice and accompanying
    disclaimer is not modified or removed from the software.

    DISCLAIMER: The software is distributed" AS IS" without any express or
    implied warranty, including but not limited to, any implied warranties
    of merchantability or fitness for a particular purpose or any warrant)'
    of non-infringement of any current or pending patent rights. The authors
    of the software make no representations about the suitability of this
    software for any particular purpose. The entire risk as to the quality
    and performance of the software is with the user. Should the software
    prove defective, the user assumes the cost of all necessary servicing,
    repair or correction. In particular, neither Rensselaer Polytechnic
    Institute, nor the authors of the software are liable for any indirect,
    special, consequential, or incidental damages related to the software,
    to the maximum extent the law permits.
*/

package edu.rpi.cct.webdav.servlet.shared;

/** Base exception thrown by webdav classes
 *
 *   @author Mike Douglass   douglm@rpi.edu
 */
public class WebdavException extends Throwable {
  /** > 0 if set
   */
  int statusCode = -1;

  public WebdavException(String s) {
    super(s);
  }

  public WebdavException(Throwable t) {
    super(t);
  }

  public WebdavException(int st) {
    statusCode = st;
  }

  public void setStatusCode(int val) {
    statusCode = val;
  }

  public int getStatusCode() {
    return statusCode;
  }
}
