//java

package edu.washington.cac.calendar;

import java.util.Date;
import java.util.Calendar;

import junit.framework.TestCase;

/**
   Test the MyCalendar class
   @author Greg Barnes
   @version 1.1
  */
public class MyCalendarTest extends TestCase
{
   public MyCalendarTest(String name)
   {
     super(name);
   }

   /**
     Test the normalizedDate method
    */
   public void testNormalizedDate()
   {
     // create three dates from calendars with the same date, but 
     // different times
     Calendar c = Calendar.getInstance();
     Date now = new java.sql.Date(c.getTime().getTime());
     c.set(Calendar.HOUR_OF_DAY, 12);
     Date twelve = new java.sql.Date(c.getTime().getTime());
     c.set(Calendar.HOUR_OF_DAY, 11);
     Date eleven = new java.sql.Date(c.getTime().getTime());

     // check that normalizedDate turns two of them into equal dates
     assertTrue(MyCalendar.normalizedDate(eleven).equals(
         MyCalendar.normalizedDate(twelve)));
     // check that normalizedDate doesn't change the date itself
     assertTrue(MyCalendar.normalizedDate(eleven).toString().equals(
         now.toString()));
   }
}
